Introduce the new NVIDIA 460-server series and update the 460 series

Bug #1913200 reported by Alberto Milone
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Alberto Milone
Bionic
High
Alberto Milone
Focal
High
Alberto Milone
Groovy
High
Alberto Milone
nvidia-graphics-drivers-460 (Ubuntu)
High
Alberto Milone
Bionic
High
Alberto Milone
Focal
High
Alberto Milone
Groovy
High
Alberto Milone
nvidia-graphics-drivers-460-server (Ubuntu)
High
Alberto Milone
Bionic
High
Alberto Milone
Focal
High
Alberto Milone
Groovy
High
Alberto Milone

Bug Description

Introduce the new NVIDIA 460-server series and update the 460 series.

[Impact]
These releases provide both bug fixes and new features, and we would like to
make sure all of our users have access to these improvements.

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/NVidiaUpdates

Certification test suite must pass on a range of hardware:
https://git.launchpad.net/plainbox-provider-sru/tree/units/sru.pxu

The QA team that executed the tests will be in charge of attaching the artifacts and console output of the appropriate run to the bug. nVidia maintainers team members will not mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned system level tests are attached to this bug.

[Discussion]

[Changelog]

== 460-server ==

  * Initial release:
    - Added support for the following GPUs:
        NVIDIA A40
        NVIDIA RTX A6000
    - Added support for CUDA 11.2.

== 460 ==

  * New upstream release:
    - Added support for the following GPUs:
        GeForce RTX 3080 Laptop GPU
        GeForce RTX 3070 Laptop GPU
        GeForce RTX 3060 Laptop GPU
        GeForce GT 1010
    - Updated the NVIDIA driver to restore functionality of some
      features, including runtime power management, hotplugging
      audio-capable display devices, and S0ix-based system suspend,
      with recent kernels such as Linux 5.10.
    - Fixed a bug that caused bindless texture samplers to be
      incorrectly counted towards the MAX_COMPUTE_TEXTURE_IMAGE_UNITS
      limit.
    - Fixed a bug that could cause the GPU to hang when attempting to
      perform link training on an HDMI 2.1 Fixed Rate Link (FRL)
      display, while the display is powered off.
    - Fixed a bug that could intermittently cause NvFBC applications
      to fail with the error message "Unable to send exported fds".

Changed in nvidia-graphics-drivers-450-server (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: New → In Progress
importance: Undecided → High
summary: - Introduce the new NVIDIA 460-server series
+ Introduce the new NVIDIA 460-server series and update the 460 series
description: updated
description: updated
affects: nvidia-graphics-drivers-450-server (Ubuntu) → nvidia-graphics-drivers-460 (Ubuntu)
Revision history for this message
Andy Whitcroft (apw) wrote : Please test proposed package

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.39-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460 (Ubuntu Groovy):
status: New → Fix Committed
tags: added: verification-needed verification-needed-groovy
Changed in nvidia-graphics-drivers-460 (Ubuntu Focal):
status: New → Fix Committed
tags: added: verification-needed-focal
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.39-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460 (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460/460.39-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in linux (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: New → In Progress
Changed in linux (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → In Progress
Changed in nvidia-graphics-drivers-460-server (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → In Progress
Changed in nvidia-graphics-drivers-460-server (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → In Progress
Changed in nvidia-graphics-drivers-460-server (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → In Progress
Changed in nvidia-graphics-drivers-460-server (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → Fix Committed
Changed in linux (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
status: New → In Progress
Changed in nvidia-graphics-drivers-460 (Ubuntu Bionic):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
Changed in nvidia-graphics-drivers-460 (Ubuntu Focal):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460-server into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460-server/460.32.03-0ubuntu0.20.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460-server (Ubuntu Groovy):
status: In Progress → Fix Committed
Changed in nvidia-graphics-drivers-460-server (Ubuntu Focal):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460-server into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460-server/460.32.03-0ubuntu0.20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in nvidia-graphics-drivers-460-server (Ubuntu Bionic):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-460-server into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-460-server/460.32.03-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Ian May (ian-may)
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Groovy):
status: New → Fix Committed
Changed in linux (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
Changed in nvidia-graphics-drivers-460 (Ubuntu Groovy):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → High
Changed in nvidia-graphics-drivers-460 (Ubuntu):
status: In Progress → Fix Committed
Revision history for this message
Alex Tu (alextu) wrote :

I verified it with focal on one machine supported Nvidia runtime pm,

machine: 202010-28303 ,

$ cat /sys/class/dmi/id/product_sku
0A48

$ uname -r
5.10.0-1010-oem

$ apt list ubuntu-drivers-common nvidia-prime nvidia-driver-460
Listing... Done
nvidia-driver-460/focal-proposed,now 460.39-0ubuntu0.20.04.1 amd64 [installed]
nvidia-prime/focal-updates,focal-updates,now 0.8.15.3~0.20.04.1 all [installed,automatic]
ubuntu-drivers-common/focal-updates,now 1:0.8.6.3~0.20.04.2 amd64 [installed]

$ DISPLAY=:0 checkbox-cli run com.canonical.certification::miscellanea/check-nvidia
Outcome: job passed
Finalizing session that hasn't been submitted anywhere: checkbox-run-2021-01-28T08.46.29
==================================[ Results ]===================================
 ☑ : Generate an entry for each graphics card present in the system.
 ☑ : check if nvidia dgpu behave as we expected.

tags: added: verification-done-focal
removed: verification-needed-focal
Alex Tu (alextu)
tags: added: verification-needed-focal
removed: verification-done-focal
Revision history for this message
Kevin Yeh (kevinyeh) wrote :

The link of Nvidia SRU testing result is following, no regression was found.
https://docs.google.com/spreadsheets/d/1-efzhthwiePkABHBgVGw8qBQwr8v0wznSEWcA52pjzs/edit#gid=1694297374

tags: added: verification-done verification-done-bionic verification-done-focal verification-done-groovy
removed: verification-needed verification-needed-bionic verification-needed-focal verification-needed-groovy
tags: added: block-proposed-bionic block-proposed-focal block-proposed-groovy
Revision history for this message
Francis Ginther (fginther) wrote :

Testing of the 460-server driver has passed on bionic, focal and groovy.

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (20.7 KiB)

This bug was fixed in the package linux - 5.10.0-14.15

---------------
linux (5.10.0-14.15) hirsute; urgency=medium

  * hirsute/linux: 5.10.0-14.15 -proposed tracker (LP: #1913724)

  * Restore palm ejection on multi-input devices (LP: #1913520)
    - HID: multitouch: Apply MT_QUIRK_CONFIDENCE quirk for multi-input devices

  * intel-hid is not loaded on new Intel platform (LP: #1907160)
    - platform/x86: intel-hid: add Rocket Lake ACPI device ID

  * Hirsute update: v5.10.11 upstream stable release (LP: #1913430)
    - scsi: target: tcmu: Fix use-after-free of se_cmd->priv
    - mtd: rawnand: gpmi: fix dst bit offset when extracting raw payload
    - mtd: rawnand: nandsim: Fix the logic when selecting Hamming soft ECC engine
    - i2c: tegra: Wait for config load atomically while in ISR
    - i2c: bpmp-tegra: Ignore unknown I2C_M flags
    - platform/x86: ideapad-laptop: Disable touchpad_switch for ELAN0634
    - ALSA: seq: oss: Fix missing error check in snd_seq_oss_synth_make_info()
    - ALSA: hda/realtek - Limit int mic boost on Acer Aspire E5-575T
    - ALSA: hda/via: Add minimum mute flag
    - crypto: xor - Fix divide error in do_xor_speed()
    - dm crypt: fix copy and paste bug in crypt_alloc_req_aead
    - ACPI: scan: Make acpi_bus_get_device() clear return pointer on error
    - btrfs: don't get an EINTR during drop_snapshot for reloc
    - btrfs: do not double free backref nodes on error
    - btrfs: fix lockdep splat in btrfs_recover_relocation
    - btrfs: don't clear ret in btrfs_start_dirty_block_groups
    - btrfs: send: fix invalid clone operations when cloning from the same file
      and root
    - fs: fix lazytime expiration handling in __writeback_single_inode()
    - pinctrl: ingenic: Fix JZ4760 support
    - mmc: core: don't initialize block size from ext_csd if not present
    - mmc: sdhci-of-dwcmshc: fix rpmb access
    - mmc: sdhci-xenon: fix 1.8v regulator stabilization
    - mmc: sdhci-brcmstb: Fix mmc timeout errors on S5 suspend
    - dm: avoid filesystem lookup in dm_get_dev_t()
    - dm integrity: fix a crash if "recalculate" used without "internal_hash"
    - dm integrity: conditionally disable "recalculate" feature
    - drm/atomic: put state on error path
    - drm/syncobj: Fix use-after-free
    - drm/amdgpu: remove gpu info firmware of green sardine
    - drm/amd/display: DCN2X Find Secondary Pipe properly in MPO + ODM Case
    - drm/i915/gt: Prevent use of engine->wa_ctx after error
    - drm/i915: Check for rq->hwsp validity after acquiring RCU lock
    - ASoC: Intel: haswell: Add missing pm_ops
    - ASoC: rt711: mutex between calibration and power state changes
    - SUNRPC: Handle TCP socket sends with kernel_sendpage() again
    - HID: sony: select CONFIG_CRC32
    - dm integrity: select CRYPTO_SKCIPHER
    - x86/hyperv: Fix kexec panic/hang issues
    - scsi: ufs: Relax the condition of UFSHCI_QUIRK_SKIP_MANUAL_WB_FLUSH_CTRL
    - scsi: ufs: Correct the LUN used in eh_device_reset_handler() callback
    - scsi: qedi: Correct max length of CHAP secret
    - scsi: scsi_debug: Fix memleak in scsi_debug_init()
    - scsi: sd: Suppress spurious errors when WRITE SAME is being disabled
    - riscv: ...

Changed in linux (Ubuntu):
status: In Progress → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.39-0ubuntu1

---------------
nvidia-graphics-drivers-460 (460.39-0ubuntu1) hirsute; urgency=medium

  * New upstream release (LP: #1913200):
    - Added support for the following GPUs:
        GeForce RTX 3080 Laptop GPU
        GeForce RTX 3070 Laptop GPU
        GeForce RTX 3060 Laptop GPU
        GeForce GT 1010
    - Updated the NVIDIA driver to restore functionality of some
      features, including runtime power management, hotplugging
      audio-capable display devices, and S0ix-based system suspend,
      with recent kernels such as Linux 5.10.
    - Fixed a bug that caused bindless texture samplers to be
      incorrectly counted towards the MAX_COMPUTE_TEXTURE_IMAGE_UNITS
      limit.
    - Fixed a bug that could cause the GPU to hang when attempting to
      perform link training on an HDMI 2.1 Fixed Rate Link (FRL)
      display, while the display is powered off.

 -- Alberto Milone <email address hidden> Mon, 25 Jan 2021 11:40:13 +0100

Changed in nvidia-graphics-drivers-460 (Ubuntu):
status: Fix Committed → Fix Released
Revision history for this message
Ievgen Popovych (jmennius) wrote :

Since, on 2021-02-08
> Testing of the 460-server driver has passed on bionic, focal and groovy.
Is it the right time to promote from -proposed to release repositories?

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (60.8 KiB)

This bug was fixed in the package linux - 5.4.0-66.74

---------------
linux (5.4.0-66.74) focal; urgency=medium

  * focal/linux: 5.4.0-66.74 -proposed tracker (LP: #1913152)

  * Add support for selective build of special drivers (LP: #1912789)
    - [Packaging] Add support for ODM drivers
    - [Packaging] Turn on ODM support for amd64

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver

  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7

  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device

  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages

  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test

  * qede: Kubernetes Internal DNS Failure due to QL41xxx NIC not supporting IPIP
    tx csum offload (LP: #1909062)
    - qede: fix offload for IPIP tunnel packets

  * Use DCPD to control HP DreamColor panel (LP: #1911001)
    - SAUCE: drm/dp: Another HP DreamColor panel brigntness fix

  * kvm: Windows 2k19 with Hyper-v role gets stuck on pending hypervisor
    requests on cascadelake based kvm hosts (LP: #1911848)
    - KVM: x86: Set KVM_REQ_EVENT if run is canceled with req_immediate_exit set

  * Ubuntu 20.10 four needed fixes to 'Add driver for Mellanox Connect-IB
    adapters' (LP: #1905574)
    - net/mlx5: Fix a race when moving command interface to polling mode

  * Fix right sounds and mute/micmute LEDs for HP ZBook Fury 15/17 G7 Mobile
    Workstation (LP: #1910561)
    - ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for HP machines

  * Ubuntu 20.04 - multicast counter is not increased in ip -s (LP: #1901842)
    - net/mlx5e: Fix multicast counter not up-to-date in "ip -s"

  * eeh-basic.sh in powerpc from ubuntu_kernel_selftests timeout with 5.4 P8 /
    P9 (LP: #1882503)
    - selftests/powerpc/eeh: disable kselftest timeout setting for eeh-basic

  * DMI entry syntax fix for Pegatron / ByteSpeed C15B (LP: #1910639)
    - Input: i8042 - unbreak Pegatron C15B

  * CVE-2020-29372
    - mm: check that mm is still valid in madvise()

  * update ENA driver, incl. new ethtool stats (LP: #1910291)
    - net: ena: Change WARN_ON expression in ena_del_napi_in_range()
    - net: ena: ethtool: convert stat_offset to 64 bit resolution
    - net: ena: eth...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (129.8 KiB)

This bug was fixed in the package linux - 5.8.0-44.50

---------------
linux (5.8.0-44.50) groovy; urgency=medium

  * groovy/linux: 5.8.0-44.50 -proposed tracker (LP: #1914805)

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver

  * [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - Revert "UBUNTU: SAUCE: e1000e: bump up timeout to wait when ME un-configure
      ULP mode"
    - e1000e: Only run S0ix flows if shutdown succeeded
    - Revert "e1000e: disable s0ix entry and exit flows for ME systems"
    - e1000e: Export S0ix flags to ethtool

  * suspend only works once on ThinkPad X1 Carbon gen 7 (LP: #1865570) //
    [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - e1000e: bump up timeout to wait when ME un-configures ULP mode

  * Cannot probe sata disk on sata controller behind VMD: ata1.00: failed to
    IDENTIFY (I/O error, err_mask=0x4) (LP: #1894778)
    - PCI: vmd: Offset Client VMD MSI-X vectors

  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7

  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device

  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages

  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test

  * [UBUNTU 21.04] vfio: pass DMA availability information to userspace
    (LP: #1907421)
    - vfio/type1: Refactor vfio_iommu_type1_ioctl()
    - vfio iommu: Add dma available capability

  * qede: Kubernetes Internal DNS Failure due to QL41xxx NIC not supporting IPIP
    tx csum offload (LP: #1909062)
    - qede: fix offload for IPIP tunnel packets

  * Use DCPD to control HP DreamColor panel (LP: #1911001)
    - SAUCE: drm/dp: Another HP DreamColor panel brigntness fix

  * Fix right sounds and mute/micmute LEDs for HP ZBook Fury 15/17 G7 Mobile
    Workstation (LP: #1910561)
    - ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for HP machines

  * Ubuntu 20.04 - multicast counter is not increased in ip -s (LP: #1901842)
    - net/mlx5e: Fix multicast counter not up-to-date in "ip -s"

  * eeh-basic.sh in powerpc from ubuntu_kernel_selftests timeout with 5.4 P8 /
    P9 (LP: #1882503)
    - selftests/powerpc/eeh: disable kselftest timeout setting for eeh-basic

  * DMI entry syntax fix for Pegatron /...

Changed in linux (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (31.5 KiB)

This bug was fixed in the package linux - 4.15.0-136.140

---------------
linux (4.15.0-136.140) bionic; urgency=medium

  * bionic/linux: 4.15.0-136.140 -proposed tracker (LP: #1913117)

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages

  * DMI entry syntax fix for Pegatron / ByteSpeed C15B (LP: #1910639)
    - Input: i8042 - unbreak Pegatron C15B

  * CVE-2020-29372
    - mm: check that mm is still valid in madvise()

  * update ENA driver, incl. new ethtool stats (LP: #1910291)
    - net: ena: change num_queues to num_io_queues for clarity and consistency
    - net: ena: ethtool: get_channels: use combined only
    - net: ena: ethtool: support set_channels callback
    - net: ena: ethtool: remove redundant non-zero check on rc
    - net/amazon: Ensure that driver version is aligned to the linux kernel
    - net: ena: ethtool: clean up minor indentation issue
    - net: ena: remove code that does nothing
    - net: ena: add unmask interrupts statistics to ethtool
    - net: ena: cosmetic: change ena_com_stats_admin stats to u64
    - net: ena: cosmetic: remove unnecessary code
    - net: ena: ethtool: convert stat_offset to 64 bit resolution
    - net: ena: ethtool: Add new device statistics
    - net: ena: Change license into format to SPDX in all files
    - net: ena: Change RSS related macros and variables names

  * CVE-2020-29374
    - gup: document and work around "COW can break either way" issue

  * Bionic update: upstream stable patchset 2021-01-12 (LP: #1911331)
    - spi: bcm2835aux: Fix use-after-free on unbind
    - spi: bcm2835aux: Restore err assignment in bcm2835aux_spi_probe
    - iwlwifi: pcie: limit memory read spin time
    - arm64: dts: rockchip: Assign a fixed index to mmc devices on rk3399 boards.
    - iwlwifi: mvm: fix kernel panic in case of assert during CSA
    - ARC: stack unwinding: don't assume non-current task is sleeping
    - scsi: ufs: Make sure clk scaling happens only when HBA is runtime ACTIVE
    - soc: fsl: dpio: Get the cpumask through cpumask_of(cpu)
    - platform/x86: acer-wmi: add automatic keyboard background light toggle key
      as KEY_LIGHTS_TOGGLE
    - Input: cm109 - do not stomp on control URB
    - Input: i8042 - add Acer laptops to the i8042 reset list
    - kbuild: avoid static_assert for genksyms
    - scsi: be2iscsi: Revert "Fix a theoretical leak in beiscsi_create_eqs()"
    - x86/mm/mem_encrypt: Fix definition of PMD_FLAGS_DEC_WP
    - PCI: qcom: Add missing reset for ipq806x
    - net: stmmac: free tx skb buffer in stmmac_resume()
    - tcp: fix cwnd-limited bug for TSO deferral where we se...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460-server - 460.32.03-0ubuntu0.20.10.1

---------------
nvidia-graphics-drivers-460-server (460.32.03-0ubuntu0.20.10.1) groovy; urgency=medium

  * Initial release (LP: #1913200).

 -- Alberto Milone <email address hidden> Mon, 25 Jan 2021 18:53:55 +0100

Changed in nvidia-graphics-drivers-460-server (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Andy Whitcroft (apw) wrote : Update Released

The verification of the Stable Release Update for nvidia-graphics-drivers-460 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.39-0ubuntu0.20.04.1

---------------
nvidia-graphics-drivers-460 (460.39-0ubuntu0.20.04.1) focal; urgency=medium

  * New upstream release (LP: #1913200):
    - Added support for the following GPUs:
        GeForce RTX 3080 Laptop GPU
        GeForce RTX 3070 Laptop GPU
        GeForce RTX 3060 Laptop GPU
        GeForce GT 1010
    - Updated the NVIDIA driver to restore functionality of some
      features, including runtime power management, hotplugging
      audio-capable display devices, and S0ix-based system suspend,
      with recent kernels such as Linux 5.10.
    - Fixed a bug that caused bindless texture samplers to be
      incorrectly counted towards the MAX_COMPUTE_TEXTURE_IMAGE_UNITS
      limit.
    - Fixed a bug that could cause the GPU to hang when attempting to
      perform link training on an HDMI 2.1 Fixed Rate Link (FRL)
      display, while the display is powered off.
    - Fixed a bug that could intermittently cause NvFBC applications
      to fail with the error message "Unable to send exported fds".

 -- Alberto Milone <email address hidden> Mon, 25 Jan 2021 11:45:30 +0100

Changed in nvidia-graphics-drivers-460 (Ubuntu Focal):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460-server - 460.32.03-0ubuntu0.20.04.1

---------------
nvidia-graphics-drivers-460-server (460.32.03-0ubuntu0.20.04.1) focal; urgency=medium

  * Initial release (LP: #1913200).

 -- Alberto Milone <email address hidden> Mon, 25 Jan 2021 18:53:55 +0100

Changed in nvidia-graphics-drivers-460-server (Ubuntu Focal):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.39-0ubuntu0.20.10.1

---------------
nvidia-graphics-drivers-460 (460.39-0ubuntu0.20.10.1) groovy; urgency=medium

  * New upstream release (LP: #1913200):
    - Added support for the following GPUs:
        GeForce RTX 3080 Laptop GPU
        GeForce RTX 3070 Laptop GPU
        GeForce RTX 3060 Laptop GPU
        GeForce GT 1010
    - Updated the NVIDIA driver to restore functionality of some
      features, including runtime power management, hotplugging
      audio-capable display devices, and S0ix-based system suspend,
      with recent kernels such as Linux 5.10.
    - Fixed a bug that caused bindless texture samplers to be
      incorrectly counted towards the MAX_COMPUTE_TEXTURE_IMAGE_UNITS
      limit.
    - Fixed a bug that could cause the GPU to hang when attempting to
      perform link training on an HDMI 2.1 Fixed Rate Link (FRL)
      display, while the display is powered off.
    - Fixed a bug that could intermittently cause NvFBC applications
      to fail with the error message "Unable to send exported fds".

 -- Alberto Milone <email address hidden> Mon, 25 Jan 2021 11:42:33 +0100

Changed in nvidia-graphics-drivers-460 (Ubuntu Groovy):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460 - 460.39-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-460 (460.39-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1913200):
    - Added support for the following GPUs:
        GeForce RTX 3080 Laptop GPU
        GeForce RTX 3070 Laptop GPU
        GeForce RTX 3060 Laptop GPU
        GeForce GT 1010
    - Updated the NVIDIA driver to restore functionality of some
      features, including runtime power management, hotplugging
      audio-capable display devices, and S0ix-based system suspend,
      with recent kernels such as Linux 5.10.
    - Fixed a bug that caused bindless texture samplers to be
      incorrectly counted towards the MAX_COMPUTE_TEXTURE_IMAGE_UNITS
      limit.
    - Fixed a bug that could cause the GPU to hang when attempting to
      perform link training on an HDMI 2.1 Fixed Rate Link (FRL)
      display, while the display is powered off.
    - Fixed a bug that could intermittently cause NvFBC applications
      to fail with the error message "Unable to send exported fds".

 -- Alberto Milone <email address hidden> Mon, 25 Jan 2021 11:47:08 +0100

Changed in nvidia-graphics-drivers-460 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-460-server - 460.32.03-0ubuntu0.18.04.1

---------------
nvidia-graphics-drivers-460-server (460.32.03-0ubuntu0.18.04.1) bionic; urgency=medium

  * Initial release (LP: #1913200).

 -- Alberto Milone <email address hidden> Mon, 25 Jan 2021 19:21:38 +0100

Changed in nvidia-graphics-drivers-460-server (Ubuntu Bionic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
tags: removed: block-proposed-bionic block-proposed-focal block-proposed-groovy
Changed in nvidia-graphics-drivers-460-server (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers